Skip to main content
GET
List category totals by user

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:

Headers

Accept-Version
string
default:v20260929
required

MX Platform API version.

Example:

"v20260929"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Query Parameters

from_date
string
required

Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided.

to_date
string
required

Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions.

Response

200 - application/json

OK

date_range_category_totals
object[]